Subject: Re: linux-next: manual merge of the mm tree with Linus' tree

From: Rolf Eike Beer <[email-masked]>
Date: Tue, 06 Sep 2022 11:21:56 +0200

Am Dienstag, 6. September 2022, 11:01:41 CEST schrieb Stephen Rothwell:
> Hi all,
> 
> Today's linux-next merge of the mm tree got a conflict in:
> 
>   mm/pagewalk.c
> 
> between commit:
> 
>   8782fb61cc84 ("mm: pagewalk: Fix race between unmap and page walker")
> 
> from Linus' tree and commits:
> 
>   fa02fb928200 ("mm: pagewalk: make error checks more obvious")
>   66c217081bd0 ("mm: pagewalk: allow walk_page_range_novma() without mm")
> 
> from the mm tree.
> 
> I fixed it up (I think - see below) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Andrew,

please drop all my patches except the following 2 from your queue for now:

-mm: pagewalk: fix documentation of PTE hole handling
-mm: pagewalk: add api documentation for walk_page_range_novma()

Some of these patches are clearly outdated now with 
8782fb61cc848364e1e1599d76d3c9dd58a1cc06 being included. I'll review them in 
detail eventually and resubmit what is still relevant.

Regards,

Eike